<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
/**
 * MaxSite CMS
 * (c) https://max-3000.com/
 */

// markitup_box - замените на имя плагина

//  функция автоподключения плагина
function markitup_box_autoload()
{
	mso_hook_add('editor_markitup_bbcode', 'markitup_box_custom');
}

// функция выполняется при активации (вкл) плагина
/*
function markitup_box_activate()
{
	mso_create_allow('markitup_box_edit', t('Админ-доступ к настройкам markitup_box'));
}

// функция выполняется при деактивации (выкл) плагина
function markitup_box_deactivate()
{
	// mso_delete_option('plugin_markitup_box', 'plugins' ); // удалим созданные опции
}

// функция выполняется при деинсталяции плагина
function markitup_box_uninstall()
{
	mso_delete_option('plugin_markitup_box', 'plugins'); // удалим созданные опции
	mso_remove_allow('markitup_box_edit'); // удалим созданные разрешения
}
*/

// функции плагина
function markitup_box_custom($arg = [])
{ 
	echo <<<EOF
{separator:'---------------' },	

{name:'Message', openWith:'[div(message [![Css message]!])]', closeWith:'[/div]', className:"page-red", dropMenu :[  
			{name:'gray', openBlockWith:'[div class="bor-gray bor-solid-l bor3 mar10 bg-gray100 pad10"]', closeBlockWith:'[/div]', className:"bor-gray bor-solid-l bor3 mar10 bg-gray100 pad10"}, 
			{name:'orange', openBlockWith:'[div class="bor-orange bor-solid-l bor3 mar10 bg-orange100 pad10"]', closeBlockWith:'[/div]', className:"bor-orange bor-solid-l bor3 mar10 bg-orange100 pad10"}, 
			{name:'yellow', openBlockWith:'[div class="bor-yellow bor-solid-l bor3 mar10 bg-yellow100 pad10"]', closeBlockWith:'[/div]', className:"bor-yellow bor-solid-l bor3 mar10 bg-yellow100 pad10"}, 
			{name:'red', openBlockWith:'[div class="bor-red bor-solid-l bor3 mar10 bg-red100 pad10"]', closeBlockWith:'[/div]', className:"bor-red bor-solid-l bor3 mar10 bg-red100 pad10"}, 
			{name:'green', openBlockWith:'[div class="bor-green bor-solid-l bor3 mar10 bg-green100 pad10"]', closeBlockWith:'[/div]', className:"bor-green bor-solid-l bor3 mar10 bg-green100 pad10"}, 
			{name:'blue', openBlockWith:'[div class="bor-blue bor-solid-l bor3 mar10 bg-blue100 pad10"]', closeBlockWith:'[/div]', className:"bor-blue bor-solid-l bor3 mar10 bg-blue100 pad10"}, 
			{name:'teale', openBlockWith:'[div class="bor-teal bor-solid-l bor3 mar10 bg-teal100 pad10"]', closeBlockWith:'[/div]', className:"bor-teal bor-solid-l bor3 mar10 bg-teal100 pad10"}, 
			{name:'purple', openBlockWith:'[div class="bor-purple bor-solid-l bor3 mar10 bg-purple100 pad10"]', closeBlockWith:'[/div]', className:"bor-purple bor-solid-l bor3 mar10 bg-purple100 pad10"}, 
			{name:'pink', openBlockWith:'[div class="bor-pink bor-solid-l bor3 mar10 bg-pink100 pad10"]', closeBlockWith:'[/div]', className:"bor-pink bor-solid-l bor3 mar10 bg-pink100 pad10"}, 
			{name:'brown', openBlockWith:'[div class="bor-brown bor-solid-l bor3 mar10 bg-brown100 pad10"]', closeBlockWith:'[/div]', className:"bor-brown bor-solid-l bor3 mar10 bg-brown100 pad10"},
		]},
		
EOF;
	return $arg;
}

# end of file
